slepc-3.21.1 2024-04-26
Report Typos and Errors

# STSetFromOptions

Sets ST options from the options database. This routine must be called before STSetUp() if the user is to be allowed to set the type of transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetFromOptions(ST st)

Collective

### Input Parameter

| st | - the spectral transformation context

### See Also

STSetOptionsPrefix()

### Level

beginner

### Location

src/sys/classes/st/interface/stset.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages